aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xlinaro-build.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/linaro-build.sh b/linaro-build.sh
index c0982a8..556835e 100755
--- a/linaro-build.sh
+++ b/linaro-build.sh
@@ -92,11 +92,11 @@ downloadFromHTTP() {
local PACKAGE_NAME=`echo $package | tr "[:lower:]" "[:upper:]"`
info "Use wget to get $file"
- if [ -f "${ARG_TOOLCHAIN_SRC_DIR}/${file}" ] || [ -f "${ARG_TOOLCHAIN_SRC_DIR}/$package/${file}" ]; then
+ if [ -f "${ARG_TOOLCHAIN_SRC_DIR}/$package/${file}" ]; then
#TODO: Add md5 check
info "${file} is already exist, skip download"
else
- wget "$url" || error "wget $1 error"
+ wget -c "$url" || error "wget $1 error"
mv "$file" "${ARG_TOOLCHAIN_SRC_DIR}/$package/" || error "fail to move $file"
#TODO: Add md5 check
fi